function [t1,t2,normadiferencia] = variossistemas
% funcion para observar re-uso de
% descomposición LU cuando se resuelven
% sistemas con misma matriz A y distintas partes derechas

A=create_trid(50,.5,1,1); 

B=rand(50,100); 

tic
X=A\B;
t1=toc;

Y = zeros(50,100);
tic
for i=1:100
    Y(:,i)=A\B(:,i);
end
t2=toc;

normadiferencia=norm(X-Y,inf);